| Home | Libraries | People | FAQ | More

## Struct template floating_point

boost::intrusive::floating_point

## Synopsis

    template<bool Enabled>
    struct floating_point {
    };

## Description

This option setter for scapegoat containers specifies if the intrusive scapegoat container should use a non-variable alpha value that does not need floating-point operations.

If activated, the fixed alpha value is 1/sqrt(2). This option also saves some space in the container since the alpha value and some additional data does not need to be stored in the container.

If the user only needs an alpha value near 1/sqrt(2), this option also improves performance since avoids logarithm and division operations when rebalancing the tree.